> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Semantic search

> Return cloud vector chunk references. Use local SDK methods or local MCP for hydrated plaintext transcript chunks.



## OpenAPI

````yaml /openapi/vued-public-api.yaml get /orgs/{org_id}/semantic_search
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/semantic_search:
    get:
      tags:
        - Search
      summary: Semantic search
      description: >-
        Return cloud vector chunk references. Use local SDK methods or local MCP
        for hydrated plaintext transcript chunks.
      operationId: semanticSearch
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - name: q
          in: query
          required: true
          schema:
            type: string
          description: Natural-language search query.
        - name: type
          in: query
          schema:
            $ref: '#/components/schemas/MeetingType'
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 5
      responses:
        '200':
          description: Semantic search result page.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SemanticSearchPage'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    MeetingType:
      type: string
      enum:
        - manual
        - automatic
    SemanticSearchPage:
      allOf:
        - $ref: '#/components/schemas/Page'
        - type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/SemanticSearchResult'
    Page:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items: {}
        next_cursor:
          type:
            - string
            - 'null'
    SemanticSearchResult:
      type: object
      properties:
        object:
          type: string
          enum:
            - semantic_search_result
        score:
          type: number
        meeting:
          type: object
          properties:
            id:
              type: string
              format: uuid
            object:
              type: string
            type:
              $ref: '#/components/schemas/MeetingType'
        chunk:
          $ref: '#/components/schemas/TranscriptChunk'
    TranscriptChunk:
      type: object
      properties:
        object:
          type: string
          enum:
            - transcript_chunk
        index:
          type:
            - integer
            - 'null'
        event_ids:
          type: array
          items:
            type: string
            format: uuid
        ts_start:
          type:
            - number
            - 'null'
        ts_end:
          type:
            - number
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````